Create a BIN country rule
POST
Blocks card payments with cards issued in this country. BIN country lookups aren't 100% accurate: banks sometimes use BIN ranges of other banks.
apiKeyheader
AuthorizationBasic <token>HTTP Basic authentication with your API key as the username and an empty password.
merchant_id*stringThe ID of the merchant, or self for the merchant of your API key.
project_id*stringThe ID of the project.
application/json- body
Blocks cards issued in a country.
country_code*stringThe country that issued the card, as an ISO 3166-1 alpha-2 code.
Length
2 <= length <= 2The rule is created.
application/json- response
Blocks cards issued in a country.
rule_id?stringThe ID of the rule.
country_code*stringThe country that issued the card, as an ISO 3166-1 alpha-2 code.
Length
2 <= length <= 2curl -X POST 'https://api.example.com/v1/merchants/b8a1c2d4-1234-4c5d-9e8f-0123456789ab/projects/c5078bef-f741-4f26-a13f-26e7916bb00c/fraud-prevention/rules/bin-countries/' \ --user "$API_KEY:" \ -H 'Content-Type: application/json' \ -d '{ "country_code": "BE"}'{ "rule_id": "string", "country_code": "st"}